List all linked clients
curl --request GET \
--url https://api.artu.ai/clients/{parentClientId}/links \
--header 'Authorization: Bearer <token>' \
--header 'X-Environment: <api-key>'import requests
url = "https://api.artu.ai/clients/{parentClientId}/links"
headers = {
"Authorization": "Bearer <token>",
"X-Environment": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'X-Environment': '<api-key>'}
};
fetch('https://api.artu.ai/clients/{parentClientId}/links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.artu.ai/clients/{parentClientId}/links",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"X-Environment: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.artu.ai/clients/{parentClientId}/links"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("X-Environment", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.artu.ai/clients/{parentClientId}/links")
.header("Authorization", "Bearer <token>")
.header("X-Environment", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.artu.ai/clients/{parentClientId}/links")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["X-Environment"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"relationshipType": "legal_representative",
"client": {
"type": "individual",
"name": "<string>",
"scopes": [
"base"
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"nationalities": "<unknown>",
"externalId": "<string>",
"metadata": {},
"birthDate": "2023-12-25",
"middleName": "<string>",
"lastName": "<unknown>",
"employment": {
"isEmployee": true,
"employeeId": "<string>",
"position": "<string>",
"department": "<string>",
"startDate": "2023-12-25"
},
"scopeData": {
"MX": {
"rfc": "<string>",
"curp": "<string>",
"actividadEconomica": "1000000",
"giroMercantil": "1000000",
"actividadVulnerable": {
"ARI": {},
"AVI": {
"username": "<unknown>"
},
"INM": {},
"JYS": {},
"MJR": {},
"MPC": {},
"TSC": {},
"VEH": {}
},
"cnbv": {
"TRANSMISOR": {
"numeroCuenta": "<string>",
"claveSujetoObligado": "<string>"
}
}
},
"US": "<unknown>"
}
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"metadata": {}
}
]Clients
List all linked clients
GET
/
clients
/
{parentClientId}
/
links
List all linked clients
curl --request GET \
--url https://api.artu.ai/clients/{parentClientId}/links \
--header 'Authorization: Bearer <token>' \
--header 'X-Environment: <api-key>'import requests
url = "https://api.artu.ai/clients/{parentClientId}/links"
headers = {
"Authorization": "Bearer <token>",
"X-Environment": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'X-Environment': '<api-key>'}
};
fetch('https://api.artu.ai/clients/{parentClientId}/links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.artu.ai/clients/{parentClientId}/links",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"X-Environment: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.artu.ai/clients/{parentClientId}/links"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("X-Environment", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.artu.ai/clients/{parentClientId}/links")
.header("Authorization", "Bearer <token>")
.header("X-Environment", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.artu.ai/clients/{parentClientId}/links")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["X-Environment"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"relationshipType": "legal_representative",
"client": {
"type": "individual",
"name": "<string>",
"scopes": [
"base"
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"nationalities": "<unknown>",
"externalId": "<string>",
"metadata": {},
"birthDate": "2023-12-25",
"middleName": "<string>",
"lastName": "<unknown>",
"employment": {
"isEmployee": true,
"employeeId": "<string>",
"position": "<string>",
"department": "<string>",
"startDate": "2023-12-25"
},
"scopeData": {
"MX": {
"rfc": "<string>",
"curp": "<string>",
"actividadEconomica": "1000000",
"giroMercantil": "1000000",
"actividadVulnerable": {
"ARI": {},
"AVI": {
"username": "<unknown>"
},
"INM": {},
"JYS": {},
"MJR": {},
"MPC": {},
"TSC": {},
"VEH": {}
},
"cnbv": {
"TRANSMISOR": {
"numeroCuenta": "<string>",
"claveSujetoObligado": "<string>"
}
}
},
"US": "<unknown>"
}
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"metadata": {}
}
]Authorizations
API key authentication. Obtain your API key from the dashboard.
Target environment for the request. Must be "test" or "live".
Path Parameters
Query Parameters
Available options:
legal_representative, controlling_beneficiary Response
200 - application/json
OK
Was this page helpful?
